Skip to main content
GET
/
generate_secret
Generate Temporary Token for SSE
curl --request GET \
  --url https://vevdoh3hve.execute-api.us-east-1.amazonaws.com/prod/generate_secret
{
  "data": {
    "temp_token": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.chatzy.ai/llms.txt

Use this file to discover all available pages before exploring further.

This endpoint generates a temporary token to be used for streaming responses via the /get-response SSE endpoint. This can be used when response from the /get_stream_status endpoint is stream_status : is_streaming and response_processing_status: null (Case 1 in Stream Status section).

Query Parameters

conversation_id
string<uuid>
required

Conversation ID to generate a temporary token for.

Response

200 - application/json

Token generated successfully.

data
object